IOSS 2.0

Classes | Functions | Variables
anonymous_namespace{io_shell_ts.C} Namespace Reference

## Classes
struct | my_numpunct
struct | param

## Functions
void | show_step (int istep, double time)
void | transfer_nodeblock (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_elementblocks (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_edgeblocks (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_faceblocks (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_nodesets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_edgesets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_facesets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_elemsets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_sidesets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_commsets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_coordinate_frames (Ioss::Region &region, Ioss::Region &output_region, bool debug)
template<typename T >
void | transfer_fields (const std::vector< T *> &entities, Ioss::Region &output_region, Ioss::Field::RoleType role, const IOShell::Interface &interface)
void | transfer_fields (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role, const std::string &prefix="")
template<typename T >
void | transfer_field_data (const std::vector< T *> &entities, Ioss::Region &output_region, Ioss::Field::RoleType role, const IOShell::Interface &interface)
void | transfer_field_data (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role, const IOShell::Interface &interface, const std::string &prefix="")
void | transfer_properties (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge)
void | transfer_qa_info (Ioss::Region &in, Ioss::Region &out)
void | transform_fields (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role)
void | transform_field_data (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role, const IOShell::Interface &interface)
void | transfer_field_data_internal (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, const std::string &field_name, const IOShell::Interface &interface)
void | file_copy (IOShell::Interface &interface)
template<typename INT >
void | set_owned_node_count (Ioss::Region &region, int my_processor, INT dummy)
void * | transfer_fields_ts (void *varg)
void * | transfer_field_data_ts (void *varg)
template<typename T >
void | transfer_blocks (const std::vector< T *> &blocks, Ioss::Region &output_region, bool debug)
template<typename T >
void | transfer_sets (const std::vector< T *> &sets, Ioss::Region &output_region, bool debug)

## Variables
std::vector< int > | data_int
std::vector< int64_t > | data_int64
std::vector< double > | data_double
std::vector< Complex > | data_complex
int | rank = 0
bool | mem_stats = false
std::string | codename
std::string | version = "4.7"

## Function Documentation

## ◆ file_copy()

void anonymous_namespace{io_shell_ts.C}::file_copy | ( | IOShell::Interface & | interface | ) |

## ◆ set_owned_node_count()

template<typename INT >

void anonymous_namespace{io_shell_ts.C}::set_owned_node_count | ( | Ioss::Region & | region,
|  | int | my_processor,
|  | INT | dummy
| ) |  |

## ◆ show_step()

void anonymous_namespace{io_shell_ts.C}::show_step | ( | int | istep,
|  | double | time
| ) |  |

## ◆ transfer_blocks()

template<typename T >

void anonymous_namespace{io_shell_ts.C}::transfer_blocks | ( | const std::vector< T *> & | blocks,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_commsets()

void anonymous_namespace{io_shell_ts.C}::transfer_commsets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_coordinate_frames()

void anonymous_namespace{io_shell_ts.C}::transfer_coordinate_frames | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_edgeblocks()

void anonymous_namespace{io_shell_ts.C}::transfer_edgeblocks | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_edgesets()

void anonymous_namespace{io_shell_ts.C}::transfer_edgesets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_elementblocks()

void anonymous_namespace{io_shell_ts.C}::transfer_elementblocks | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_elemsets()

void anonymous_namespace{io_shell_ts.C}::transfer_elemsets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_faceblocks()

void anonymous_namespace{io_shell_ts.C}::transfer_faceblocks | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_facesets()

void anonymous_namespace{io_shell_ts.C}::transfer_facesets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_field_data() [1/2]

template<typename T >

void anonymous_namespace{io_shell_ts.C}::transfer_field_data | ( | const std::vector< T *> & | entities,
|  | Ioss::Region & | output_region,
|  | Ioss::Field::RoleType | role,
|  | const IOShell::Interface & | interface
| ) |  |

## ◆ transfer_field_data() [2/2]

void anonymous_namespace{io_shell_ts.C}::transfer_field_data | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge,
|  | Ioss::Field::RoleType | role,
|  | const IOShell::Interface & | interface,
|  | const std::string & | prefix = `""`
| ) |  |

## ◆ transfer_field_data_internal()

void anonymous_namespace{io_shell_ts.C}::transfer_field_data_internal | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge,
|  | const std::string & | field_name,
|  | const IOShell::Interface & | interface
| ) |  |

## ◆ transfer_field_data_ts()

void* anonymous_namespace{io_shell_ts.C}::transfer_field_data_ts | ( | void * | varg | ) |

## ◆ transfer_fields() [1/2]

template<typename T >

void anonymous_namespace{io_shell_ts.C}::transfer_fields | ( | const std::vector< T *> & | entities,
|  | Ioss::Region & | output_region,
|  | Ioss::Field::RoleType | role,
|  | const IOShell::Interface & | interface
| ) |  |

## ◆ transfer_fields() [2/2]

void anonymous_namespace{io_shell_ts.C}::transfer_fields | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge,
|  | Ioss::Field::RoleType | role,
|  | const std::string & | prefix = `""`
| ) |  |

## ◆ transfer_fields_ts()

void* anonymous_namespace{io_shell_ts.C}::transfer_fields_ts | ( | void * | varg | ) |

## ◆ transfer_nodeblock()

void anonymous_namespace{io_shell_ts.C}::transfer_nodeblock | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_nodesets()

void anonymous_namespace{io_shell_ts.C}::transfer_nodesets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_properties()

void anonymous_namespace{io_shell_ts.C}::transfer_properties | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge
| ) |  |

## ◆ transfer_qa_info()

void anonymous_namespace{io_shell_ts.C}::transfer_qa_info | ( | Ioss::Region & | in,
|  | Ioss::Region & | out
| ) |  |

## ◆ transfer_sets()

template<typename T >

void anonymous_namespace{io_shell_ts.C}::transfer_sets | ( | const std::vector< T *> & | sets,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_sidesets()

void anonymous_namespace{io_shell_ts.C}::transfer_sidesets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transform_field_data()

void anonymous_namespace{io_shell_ts.C}::transform_field_data | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge,
|  | Ioss::Field::RoleType | role,
|  | const IOShell::Interface & | interface
| ) |  |

## ◆ transform_fields()

void anonymous_namespace{io_shell_ts.C}::transform_fields | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge,
|  | Ioss::Field::RoleType | role
| ) |  |

## Variable Documentation

## ◆ codename

std::string anonymous_namespace{io_shell_ts.C}::codename

## ◆ data_complex

std::vector<Complex> anonymous_namespace{io_shell_ts.C}::data_complex

## ◆ data_double

std::vector<double> anonymous_namespace{io_shell_ts.C}::data_double

## ◆ data_int

std::vector<int> anonymous_namespace{io_shell_ts.C}::data_int

## ◆ data_int64

std::vector<int64_t> anonymous_namespace{io_shell_ts.C}::data_int64

## ◆ mem_stats

bool anonymous_namespace{io_shell_ts.C}::mem_stats = false

## ◆ rank

int anonymous_namespace{io_shell_ts.C}::rank = 0

## ◆ version

std::string anonymous_namespace{io_shell_ts.C}::version = "4.7"